CVE-2012-2654

Published: 06 June 2012

The (1) EC2 and (2) OS APIs in OpenStack Compute (Nova) Folsom (2012.2), Essex (2012.1), and Diablo (2011.3) do not properly check the protocol when security groups are created and the network protocol is not specified entirely in lowercase, which allows remote attackers to bypass intended access restrictions.

Priority

Low

Status

Package Release Status
nova
Launchpad, Ubuntu, Debian
Upstream
Released (2012.2~f2)